<form action="<?php echo $this -> _data[ 'action' ]; ?>" method="<?php echo $this -> _data[ 'method' ]; ?>" class="<?php echo $this -> _data[ 'class' ]; ?>">
<?php	if( !empty($this->_error) )	{		echo '<div class="error">';		foreach($this->_error as $error )		{			echo $this->_lang['error'][$error];		}		echo '</div>';	}	foreach ( $this -> _data[ 'elems' ] as $element )
		{
			$elem	= clone( $this );
			$elem	-> setTemplate( $element[ 'tag_name' ] );
			$elem	-> setData( $element );
			echo $elem -> output( );
		}
?>
</form>